Update Price - Flex Documentation

Update Price

cURL

curl --request POST \
  --url https://api.withflex.com/v1/prices/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '\n{\n  "price": {\n    "description": "Premium SPF 50 mineral sunscreen",\n    "active": false\n  }\n}\n'\n```

```python
import requests

url = "https://api.withflex.com/v1/prices/{id}"

payload = { "price": {"description": "Premium SPF 50 mineral sunscreen", "active": False}} 
headers = {"Authorization": "Bearer <token>", "Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({price: {description: 'Premium SPF 50 mineral sunscreen', active: false}})
};

fetch('https://api.withflex.com/v1/prices/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));



Response

Success Responses

200
{
  "price": {
    "price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "description": "Premium SPF 50 mineral sunscreen",
    "unit_amount": 0,
    "recurring": {},
    "active": false,
    "product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "created_at": "2026-06-15T14:30:00Z",
    "type": "one_time",
    "metadata": {
      "order_id": "8842",
      "channel": "shopify"
    },
    "hsa_fsa_eligibility": "not_eligible",
    "test_mode": false
  }
}
Error Responses
400
{
  "code": "string",
  "detail": "string"
}
401
{
  "code": "string",
  "detail": "string"
}
403
{
  "code": "string",
  "detail": "string"
}
404
{
  "code": "string",
  "detail": "string"
}
409
{
  "code": "string",
  "detail": "string"
}
422
{
  "detail": [
    {
      "loc": ["string"],
      "msg": "string",
      "type": "string"
    }
  ]
}
429
{
  "code": "string",
  "detail": "string"
}

Authorizations

Authorization: Bearer (header, required)

Use a Bearer token to access this API.

Path Parameters

id (string, required) Example: "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA"

Body

application/json

An envelope wrapping a single price object.

Example:

{
  "description": "Premium SPF 50 mineral sunscreen",
  "active": false
}

Response

The response will return the price object.

Response Example:

{
  "price": {
    "price_id": "fprice_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "owner_partner_id": "facct_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "description": "Premium SPF 50 mineral sunscreen",
    "unit_amount": 0,
    "recurring": { "interval": "day" },
    "active": false,
    "product": "fprod_01J9XR8M3K7VZ8N2YB4WJ6T0RA",
    "created_at": "2026-06-15T14:30:00Z",
    "type": "one_time",
    "metadata": { "order_id": "8842", "channel": "shopify" },
    "hsa_fsa_eligibility": "not_eligible",
    "test_mode": false
  }
}